<?php

declare(strict_types=1);

namespace Dedi\SyliusVoucherPlugin\Exception;

use InvalidArgumentException;

final class VoucherNotFoundException extends InvalidArgumentException implements ExceptionInterface
{
    /** @var string */
    private $voucher;

    public function __construct(string $voucher)
    {
        $message = sprintf('The voucher with code "%s" was not found', $voucher);

        parent::__construct($message);
    }

    public function getVoucher(): string
    {
        return $this->voucher;
    }
}
